IDN2(1)

NAME
idn2 - Libidn2 Internationalized Domain Names (IDNA2008) conversion

SYNOPSIS
idn2 [OPTION]... [STRINGS]...

DESCRIPTION
Internationalized Domain Name (IDNA2008) convert STRINGS, or standard input.

Command line interface to the Libidn2 implementation of IDNA2008.

All strings are expected to be encoded in the locale charset.

To process a string that starts with `-', for example `-foo', use `--' to signal the end of parameters, as in `idn2 --quiet -- -foo'.

Mandatory arguments to long options are mandatory for short options too.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-l, --lookup
    Lookup domain name (default)

-r, --register
    Register label

--debug
    Print debugging information

--quiet
    Silent operation

AUTHOR
Written by Simon Josefsson.

REPORTING BUGS
Report bugs to: simon@josefsson.org idn2 home page: <http://www.gnu.org/software/libidn/#libidn2>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2013 Simon Josefsson. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for idn2 is maintained as a Texinfo manual. If the info and idn2 programs are properly installed at your site, the command

    info idn2

should give you access to the complete manual.